Bug 1788394 (CVE-2019-14882)

Summary: CVE-2019-14882 moodle: Open redirect in Lesson edit page
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: gwync, igor.raits
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: moodle 3.7.3, moodle 3.6.7, moodle 3.5.9 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1788395    
Bug Blocks:    

Description Dhananjay Arunesh 2020-01-07 04:46:04 UTC
A vulnerability was found in Moodle 3.7 to 3.7.2, 3.6 to 3.6.6, 3.5 to 3.5.8 and earlier where an open redirect existed in the Lesson edit page.

Reference:
http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-66228

Comment 1 Dhananjay Arunesh 2020-01-07 04:46:21 UTC
Created moodle tracking bugs for this issue:

Affects: epel-all [bug 1788395]